---
title: "Get media image by ID"
description: "Redirect with HTTP 302 to the image file of a media item, so a media ID can be used directly as an image URL."
canonical: "https://platform.pixai.art/en/docs/api/media/getMediaImage"
last-updated: "2026-11-02"
---

# Get media image by ID

Redirect with HTTP 302 to the image file of a media item, so a media ID can be used directly as an image URL.



## GET https://api.pixai.art/v1/media/{mediaId}/image

Machine-readable OpenAPI spec: https://platform.pixai.art/openapi-spec.yaml

### Parameters

- `mediaId` (in path, string, required)
  ID of media that needs to be fetched

### Responses

- `302`
  Redirect to the image URL
- `404`
  Invalid media ID
